/*######################################################################
共通設定
######################################################################*/
@charset "UTF-8";

:root {
    
    /* font */
    --noto-sans-jp: "Noto Sans JP", sans-serif;
    --noto-serif-jp: "Noto Serif JP", serif;
    --shippori-mincho: "Shippori Mincho", serif;


    /*--------------- 一括設定 ---------------*/
    
    /* フォントの種類 */
    --common__font-family: 'Arial', "Zen Kaku Gothic New", sans-serif;
    /* フォントサイズ */
    --common__font-size: 1.125cqw;
    /* フォントサイズ（レスポンシブ） */
    --common__font-size__responsive: 3.5cqw;
    /* フォントカラー */
    --common__p--color: #3F3F3F;
    /* フォントウェイト */
    --common__font-weight: 400;
    /* メインコンテンツwidth */
    --main__content--width: 520px;
}

/* @font-face {
    font-family: 'LINE Seed JP';
    src: url('../fonts/LINESeedJP_OTF_Rg.woff2') format('woff2'),
        url('../fonts/LINESeedJP_OTF_Rg.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
} */

/* @font-face {
    font-family: 'LINE Seed JP';
    src: url('../fonts/LINESeedJP_OTF_Bd.woff2') format('woff2'),
        url('../fonts/LINESeedJP_OTF_Bd.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
} */

body {
    font-family: var(--common__font-family);
    font-weight: var(--common__font-weight);
    font-style: normal;
    width: 100%;
    height: 100%;
    
    color: var(--common__p--color);
    container-type: inline-size;
    
    &::before {
        content: "";
        display: block;
        width: 100%;
        height: 100dvh;
        position: fixed;
        top: 0;
        left: 0;
        background-image: url("../images/pc-bg.webp");
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
    }

    &.page {
        margin: 0 auto;
    }
}

.site {
    display: flex;
    /* justify-content: center; */
    /* align-items: center; */
}

h1,
p,
figure {
    margin: 0;
}

/* imgタグの調整 */
img {
    vertical-align: top;
    width: 100%;
}

/* SPでのみ表示 */
.sp {
    display: none;
}

/* SPでのみ折り返し */
.br__sp {
    display: none;
}

/*######################################################################
コンテンツ
######################################################################*/

/*------------------------------------------------------------
トップページへ戻るボタン
------------------------------------------------------------*/

.btn__home {
    position: fixed;
    right: 3%;
    bottom: 3%;
    z-index: 999;
    opacity: 0;
    visibility: hidden;
    transition: .2s;

    button{
        background: #333333;
        color: #ffffff;
        border: none;
        border-radius: 50%;
        cursor: pointer;
        aspect-ratio: 1;
        font-size: 1.2rem;
        font-weight: 700;
        font-family: inherit;
        line-height: 1.2;
        padding: 0 1.2em;
        box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
    }
}

.is-active {
  opacity: 1;
  visibility: visible;
}

/*------------------------------------------------------------
スライダー（Splide.js）
------------------------------------------------------------*/

.splide__wrapper {
    position: absolute;
    overflow: hidden;
    width: 100%;
    margin-inline: auto;
}

.splide__wrapper__s-2 {
    top: 20%;
    
    .splide__track {
        padding-top: 1%;
        padding-bottom: 3%;
    }
    
    .splide__slide {
        box-shadow: 0.4em 0.4em 0.5em rgba(212, 185, 189, 0.46);
    }
}

.splide__wrapper__s-9 {
    top: 23%;
}

.splide__arrow {
    background: #dda7b0;
    opacity: 1;
    width: 16cqw;
    height: 16cqw;

    svg {
        fill: #ffffff;
        width: 6cqw;
        height: 6cqw;
    }
}
    
.splide__arrow--prev {
    left: -7cqw;
    justify-content: end;
    padding-right: 2cqw;
}

.splide__arrow--next {
    right: -7cqw;
    justify-content: start;
    padding-left: 2cqw;
}

/*------------------------------------------------------------
アコーディオン（CSSのみ）
------------------------------------------------------------*/

details {
    margin-bottom: 17%;

    summary {
        list-style-type: none;
        margin-bottom: -10%;
        position: relative;
        z-index: 2;

        cursor: pointer;
    }

    .icon {
        display: block;
        position: relative;
        /* width: 2em; */
        width: 4cqw;

        position: absolute;
        top: 50%;
        right: 4%;
        translate: 0 -50%;

        /* アイコンのバーのスタイル */
        &::before,
        &::after {
            content: "";
            position: absolute;
            display: block;
            width: 4cqw;
            height: 3px;
            background-color: #ffffff;
        }
        &::before {
            left: 0;
        }
        &::after {
            right: 0;
            transform: rotate(90deg);
            transition: 0.4s;
        }
        
    }
    
    &[open] {
        .icon {
            &::after {
                rotate: -90deg;
            }
        }
    }
    

    .accordion-content {
        overflow: hidden;
    }
}

/*------------------------------------------------------------
カラム
------------------------------------------------------------*/

.column--left,
.column--right {
    width: calc( (100% - var(--main__content--width)) / 2);
}


.column--left {
    order: 1;
    container-type: inline-size;
}

.column--center {
    order: 2;
    container-type: inline-size;
    position: relative;
    font-size: var(--common__font-size);
    background-color: #ffffff;
    width: var(--main__content--width);
    max-width: 100%;
    overflow: hidden;
}

.column--right {
    order: 3;
    container-type: inline-size;
}

.cta__pc {
    width: 100%;
    height: 100dvh;
    position: sticky;
    top: 0;
    left: 0;
    display: grid;
    place-items: center;
    
    
    .cta__pc__inner {
        width: 90%;
        max-width: 480px;
        container-type: inline-size;
    }
}

/*------------------------------------------------------------
price
------------------------------------------------------------*/

[class^="s-"] {
    position: relative;
}

.price {
    position: absolute;
    font-family: inherit;
    font-weight: inherit;
}

.price__cta {
    position: absolute;
    font-family: inherit;
    font-weight: inherit;
    letter-spacing: -0.025em;
}

.price__inner {
    position: relative;
}

.comma {
    margin-left: -0.05em;
    margin-right: -0.05em;
    font-size: 0.7em;
}

.small {
    font-size: 0.6em;
}

.price__s-9 {
    font-weight: 700;
    right: 7%;
}

.price--1 {
    top: 14.4%;
    font-size: 7cqw;
    color: inherit;
}

.price--2 {
    top: 18.5%;
    font-size: 11cqw;
    background: linear-gradient(to bottom, #FBAA03 0%, #ED8A20 50%, #FE5601 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.price--3 {
    top: 21.7%;
    font-size: 6cqw;
    color: inherit;
}

.yen {
    font-size: 0.6em;
}

/*------------------------------------------------------------
cta
------------------------------------------------------------*/

[class^="cta__s-"] {
    position: relative;
}

.cta__wrapper{
    width: 100%;
    margin: 4% auto 8%;
}

.cta__wrapper--s-7{
    margin-top: 0;
}

.cta__wrapper--s-9{
    position: absolute;
    bottom: 0;
    left: 0;
}

.cta__wrapper--s-10{
    position: absolute;
    bottom: 0;
}

.cta__wrapper--s-12{
    position: absolute;
    bottom: 0;
}

.cta {
    position: relative;
    container-type: inline-size;
}

.btn {
    position: absolute;
    bottom: 8%;
    left: 0;
    right: -1%;
    margin-inline: auto;
    width: 90%;
}

.price__cta--1 {
    top: 13%;
    left: 25%;
    font-size: 8cqw;
    color: inherit;

    .comma {
        margin-left: -0.2em;
        margin-right: -0.05em;
        font-size: 0.7em;
    }

    &::after {
        content: "";
        display: block;
        width: 130%;
        height: 0.08em;
        background-color: #FC5C05;
        position: absolute;
        top: 44%;
        left: 0;
        rotate: -11deg;
    }
    
}

.price__cta--2 {
    top: 6.5%;
    left: 50%;
    font-size: 16.8cqw;
    color: #00654A;
    font-weight: 700;
    letter-spacing: -0.04em;
    
    .comma {
        margin-left: -0.05em;
        margin-right: -0.05em;
        font-size: 0.5em;
    }

}

.price__cta--3 {
    top: 10%;
    left: 1%;
    font-size: 4cqw;
    color: inherit;
}

/*------------------------------------------------------------
section
------------------------------------------------------------*/

/*--------------- s-3 ---------------*/
.s-3 {
    margin-top: -3px;
}

/*--------------- s-11 ---------------*/

/* グーグルマップ */
.google-map {
    position: absolute;
    top: 12%;
    left: 0;
    right: 0;
    margin-inline: auto;
    width: 93%;
    aspect-ratio: 4 / 3;

    iframe {
        width: 100%;
        height: 100%;
    }
}

/* 店舗情報 */
.info__item {
    position: absolute;
    left: 33%;
    font-size: 4cqw;
    white-space: pre-wrap;
    color: inherit;
    font-family: inherit;
    font-weight: 500;
}

.info__item--1 {
    font-size: 3.7cqw;
    top: 42.8%;
}

.info__item--2 {
    top: 48%;
    font-size: 6cqw;
    font-weight: 700;
    color: #00654A;
}

.info__item--3 {
    top: 52.3%;
}

.info__item--4 {
    top: 56.4%;
}

/*--------------- 店舗情報テーブル ---------------*/

.info__table {
    position: absolute;
    top: 63.8%;
    left: 27%;
    width: 64%;
    height: 32%;
    font-size: 4cqw;
    font-weight: 500;
}

.info__table__inner {
    position: relative;
    width: 100%;
    height: 13%;
    display: flex;
    place-items: center;
}

.info__table__item {
    width: 49.5%;
    text-align: center;

    &.standard {
        color: #329D81 ;
    }
}

/* 店舗情報テーブルの項目 */
.info__table--head {
    position: absolute;
    top: 0;
    left: 0;
    font-weight: 700;
}

.info__table--mon {
    position: absolute;
    top: 12.5%;
    left: 0;
}

.info__table--tue {
    position: absolute;
    top: 25%;
    left: 0;
}

.info__table--wed {
    position: absolute;
    top: 37.5%;
    left: 0;
}

.info__table--thu {
    position: absolute;
    top: 50%;
    left: 0;
}

.info__table--fri {
    position: absolute;
    top: 62.5%;
    left: 0;
}

.info__table--sat {
    position: absolute;
    top: 75%;
    left: 0;
}

.info__table--sun {
    position: absolute;
    top: 87.5%;
    left: 0;
}

/*------------------------------------------------------------
footer
------------------------------------------------------------*/

.site-footer {
    font-family: inherit;
    font-weight: inherit;
    font-size: 3cqw;
    padding: 1.5em 0;
    color: inherit;
    background-color: inherit;
}

.footer__nav {

    ul {
        display: flex;
        justify-content: center;
        gap: 2em;
        list-style: none;
        margin: 0;
        padding: 0;
    }

    a {
        text-decoration: none;
    }
}

.copyright__copyright {
    text-align: center;
    margin-top: 1em;
}

/*######################################################################
responsive
######################################################################*/

@media (width < 1080px) {

    .cta__pc,
    .logo__pc {
        display: none !important;
    }
}

@media (width < 768px) {
    /* SPでのみ表示 */
    /* SPでのみ改行 */
    .sp,
    .br__sp {
        display: block;
    }

    /* PCでのみ表示 */
    /* PCでのみ改行 */
    .pc,
    .br__pc {
        display: none;
    }

    /* TOPPAGEボタン */
    .btn__home {
        display: none;
    }
}
